Subject: Re: troubles with postgresql-7.1RC2-1
From: Jason Tishler <[email-masked]>
To: Pascal Molli <[email-masked]>
Cc: [email-masked]
Date: Wed, 11 Apr 2001 10:31:12 -0400

Pascal,

On Mon, Apr 09, 2001 at 07:19:16PM +0200, Pascal Molli wrote:
> > If not, then I'm out of ideas.
> 
> I think it's a problem with cygipc and security, i will fix it later.

Actually, I have thought of a two more things to try/check:

1. What happens if you run ipc-daemon as a service but configured to
run under your account instead of the LocalSystem one?

2. Is the PostgreSQL data directory on a local drive or a network share?
(This one is really clutching at straws...)

> > Would you be willing to try configuring --with-tcl?  If so and it builds
> > OOTB, let me know and I will include it the next time I package a
> > distribution.
> 
> TCL-8.0 is now part of the cygwin distribution. Unfortunatly,  I tried to
> compiled postgres with tcl support, but it seems that tcl > 8.0 is required.
> It seems that postgres requires some functions (Tcl_CreateFilewithHandler
> or something like that...) that are not part of tcl-8.0.

The above has me inclined to wait until there is a Cygwin TCL 8.3.
Note that there has been recent discussions on the PostgreSQL pgsql-ports
mailing list regarding this very issue.  See the following for more
details:

    http://www.postgresql.org/mhonarc/pgsql-ports/2001-03/msg00089.html

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple